Bug 439262 - Review Request: swing-layout - needed for NetBeans Platform
Review Request: swing-layout - needed for NetBeans Platform
Status: CLOSED DUPLICATE of bug 433497
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 439265
  Show dependency treegraph
 
Reported: 2008-03-27 14:59 EDT by Jaroslav Tulach
Modified: 2008-04-28 11:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 21:35:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
walters: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Tulach 2008-03-27 14:59:56 EDT
Spec URL: http://www.xelfi.cz/download/dev/SRPMS/swing-layout.spec
SRPM URL: http://www.xelfi.cz/download/dev/SRPMS/swing-layout-1.0.3-0.src.rpm
Description: 

Swing Layout Extensions goal is to make it easy to create professional
cross platform layouts with Swing. This project will consist of extensions
to Swing and possibly a new LayoutManager. The long term goal is to roll
these changes back into Swing proper.
Comment 1 Colin Walters 2008-03-31 23:49:56 EDT
* Remove %mkrel
* (minor) License: tag should be LGPLv2+

From: http://fedoraproject.org/wiki/PackagingDrafts/Java
* Should Requires: jpackage-utils

Let me know when a version with the %mkrel is posted.
Comment 2 Colin Walters 2008-03-31 23:51:06 EDT
I meant "when a version with the %mkrel fixed is posted."
Comment 3 Jaroslav Tulach 2008-04-02 09:26:36 EDT
OK, done. New version is available:

Spec URL: http://www.xelfi.cz/download/dev/SRPMS/swing-layout.spec
SRPM URL: http://www.xelfi.cz/download/dev/SRPMS/swing-layout-1.0.3-1.src.rpm
Comment 4 Jaroslav Tulach 2008-04-02 09:26:54 EDT
OK, done. New version is available:

Spec URL: http://www.xelfi.cz/download/dev/SRPMS/swing-layout.spec
SRPM URL: http://www.xelfi.cz/download/dev/SRPMS/swing-layout-1.0.3-1.src.rpm
Comment 5 Colin Walters 2008-04-08 19:27:33 EDT
Sorry, for some reason I wasn't on the CC list.
Comment 6 Colin Walters 2008-04-08 20:00:34 EDT
I get this error trying to build:

DEBUG util.py:250:  No Package Found for java-rpmbuild

Looking over the spec quickly:

* BuildRequires:	java-devel >= 1.6.0

This needs to be >= 1:1.6.0, see http://fedoraproject.org/wiki/Packaging/Java

* Source:

Should be a fully-qualified URL here.

I'll do a full check once we get those things fixed.  Taking this review.
Comment 8 Colin Walters 2008-04-10 19:42:47 EDT
Ok, builds fine in mock.  Some rpmlint errors to fix:

swing-layout.src: E: no-cleaning-of-buildroot %clean
swing-layout.src: W: no-%clean-section

Going through a quick checklist:

* Upstream source is clean of binaries
* License looks right
* Spec is consistent

If you fix the %clean section, I'll say this package is ready to be imported.
Comment 9 Jaroslav Tulach 2008-04-11 02:05:31 EDT
I've added the clean section to do something.

Spec URL: http://www.xelfi.cz/download/dev/SRPMS/swing-layout.spec
SRPM URL: http://www.xelfi.cz/download/dev/SRPMS/swing-layout-1.0.3-3.src.rpm
Comment 10 Colin Walters 2008-04-11 09:01:50 EDT
Ok, looks good.  You can now request the fedora-cvs? flag.
Comment 11 Jaroslav Tulach 2008-04-11 13:13:31 EDT
New Package CVS Request
=======================
Package Name: swing-layout
Short Description: Swing Layout Extensions
Owners: jtulach@netbeans.org
Branches: F-7 F-8
InitialCC: jtulach@netbeans.org
Cvsextras Commits: yes
Comment 12 Colin Walters 2008-04-18 16:35:43 EDT
Setting the CVS ? flag.
Comment 13 Kevin Fenzi 2008-04-18 17:08:19 EDT
Jaroslav: Is this your first package? I don't see you in the sponsored cvsextras
group, at least not with this address. What is your Fedora Account System name?

See: 
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Comment 14 Jaroslav Tulach 2008-04-20 15:11:40 EDT
Yes, it is my first package for fedora and yes, I am quite confused with the 
submission process. I have created some account today, so please check the 
system now.
Comment 15 Colin Walters 2008-04-25 12:18:50 EDT
Hi Jaroslav,

Yep, it looks like your account is active.  Now you can set the "fedora-cvs?"
flag in this bugzilla entry, and that will request a module to be created in
CVS.  By the way, you should also get a F-9 branch now (add F-9 to the Branches:
list).

After that's done, you'll have a CVS module from which you can import your SRPM
and then start making a build.

http://fedoraproject.org/wiki/PackageMaintainers/Join#head-d6a6db5509ce8ac73b4a8306e59aa2eaaa6f30dc
Comment 16 Thomas Fitzsimmons 2008-04-25 21:35:56 EDT

*** This bug has been marked as a duplicate of 433497 ***
Comment 17 Jaroslav Tulach 2008-04-26 14:17:22 EDT
Thanks for hint, but I've just tried to change the fedora-cvs flag and this is 
the reply:

You tried to grant fedora-cvs. Only an authorized user can make this change. 
 Please press Back and try again.
Comment 18 Kevin Fenzi 2008-04-26 14:35:48 EDT
Jaroslav: I still don't see you in the cvsextras group. 

Take a look at: 
http://fedoraproject.org/wiki/PackageMaintainers/Join#head-a601c13b0950a89568deafa65f505b4b58ee869b

(step 4 of that link)
Comment 19 Colin Walters 2008-04-28 11:42:57 EDT
OK, apparently swing-layout is already in.

Note You need to log in before you can comment on or make changes to this bug.